EXENAME  = mpeg_stat.exe
JPEGDIR  = d:\projects\common\jpeg-6b
JPEGLIB  = $(JPEGDIR)\winnt_4.0\libjpeg.lib
INCLUDES = /Iheaders /I$(JPEGDIR)
#       Use -DSIG_ONE_PARAM if the function passed to signal takes
#         one parameter (linux, Solaris, ultrix )
#         Do not use it if it takes none (SunOS, HPUX, OSF1 )
#         It works either way, just gets rid of a warning.
CFLAGS   = /nologo /W1 $(INCLUDES) /DWIN32 /DSIG_ONE_PARAM
LIBS     = ws2_32.lib
OBJS     = util.obj main.obj decoders.obj video.obj jrevdct.obj \
           parseblock.obj motionvector.obj filter.obj readfile.obj

.SILENT:

all: $(EXENAME)

clean:
    -del /F $(OBJS) $(EXENAME) 2>nul

$(EXENAME): $(OBJS)
    link /OUT:$@ /RELEASE /PDB:NONE $(OBJS) $(LIBS)
